# Check if there is a v8 version of the bitnami chart running, which has old style labels. 
# The chart does not upgrade automatically and has to be removed. There will be a 1 minute downtime. 

- name: Get PostgreSQL pod for version 11 
  k8s_info: 
    kind: Pod
    namespace: "{{ database_namespace }}"
    label_selectors:
      - app = postgresql
      - release = postgresql-11
  register: postgresql11_pod

- name: Remove PostgreSQL Chart 
  helm3:
    state: absent
    wait: true 
    release: postgresql-11
    namespace: "{{ database_namespace }}"
  when: 
    - postgresql11_pod.resources | length > 0 
